bv_index Struct Reference

## Public Types

typedef std::map< unsigned, TBVector * > | map_type

## Public Member Functions

| ~bv_index ()

## Data Fields

map_type | idx_

## Detailed Description

Examples
  xsample01.cpp.

Definition at line 134 of file xsample01.cpp.

## Member Typedef Documentation

## map_type

typedef std::map<unsigned, TBVector*> bv_index::map_type

Examples
  xsample01.cpp.

Definition at line 136 of file xsample01.cpp.

## Constructor & Destructor Documentation

## ~bv_index()

bv_index::~bv_index | ( |  | ) |

inline

Examples
  xsample01.cpp.

Definition at line 137 of file xsample01.cpp.

References destroy_map(), and idx_.

## Field Documentation

## idx_

map_type bv_index::idx_

Examples
  xsample01.cpp.

Definition at line 141 of file xsample01.cpp.

Referenced by calc_memory_footprint(), convert_bv2bvs(), convert_bv2sv(), convert_bv2vect(), generate_bv_index(), speed_test_bv_index(), and ~bv_index().

The documentation for this struct was generated from the following file:

- xsample01.cpp